Subject: RE: [Mip6] Question about RFC3776 9.3.1 sentences

From: "Vijay Devarapalli" <[email-masked]>
Date: Fri, 11 Aug 2006 15:43:29 -0700

there is no need for a binding error in the first case
where the packet was dropped because the home address
was not a unicast routable address.

I guess the confusion is caused by the phrase "the 
above  tests". the "above" only refers to the preceding 
paragraph (paragraph-2 in your email).

Vijay

> -----Original Message-----
> From: K.Kawaguchi [mailto:[email-masked]] 
> Sent: Friday, August 11, 2006 5:03 AM
> To: [email-masked]
> Subject: [Mip6] Question about RFC3776 9.3.1 sentences
> 
> Hi,
> 
> Please teach sentences of RFC3775.
> 
> Must CN send the Binding Error in situation of paragraph-1 ?
> (Is paragraph-1 included in "The above tests" of paragraph-3 ?)
> 
> 
> RFC3775
> ------------------------------
> 9.3.1.  Receiving Packets with Home Address Option
> 
>   <paragraph-1>
>    Packets containing a Home Address option MUST be dropped 
> if the given
>    home address is not a unicast routable address.
> 
>   <paragraph-2>
>    Mobile nodes can include a Home Address destination option in a
>    packet if they believe the correspondent node has a Binding Cache
>    entry for the home address of a mobile node.  Packets containing a
>    Home Address option MUST be dropped if there is no corresponding
>    Binding Cache entry.  A corresponding Binding Cache entry MUST have
>    the same home address as appears in the Home Address destination
>    option, and the currently registered care-of address MUST 
> be equal to
>    the source address of the packet.  These tests MUST NOT be done for
>    packets that contain a Home Address option and a Binding Update.
> 
>   <paragraph-3>
>    If the packet is dropped due the above tests, the 
> correspondent node
>                                 ^^^^^^^^^^^^^^^
>    MUST send the Binding Error message as described in Section 9.3.3.
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    The Status field in this message should be set to 1 
> (unknown binding
>    for Home Address destination option).
> ------------------------------
> 
> 
> # I'm sorry. I can't reply to your answers during short 
> japanese summer vacation. :-)
> 
> 
> Best regards
> ---
> Kiyoaki KAWAGUCHI
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "K.Kawaguchi" <[email-masked]>
Date: Mon, 21 Aug 2006 12:06:45 +0900

Thank you for the answer.
I consented to your answer.

> was not a unicast routable address.

Certainly, RFC3775 said in other similar parts,
when some address fields are not unicast routable address,
the packet is silently discard.

> paragraph (paragraph-2 in your email).

Yes. we hesitated in the paragraph that "above" indicated.

Best regards
---
Kiyoaki KAWAGUCHI

"RE: [Mip6] Question about RFC3776 9.3.1 sentences"

---

From: "Takaaki MATSUURA/松浦 高明" <[email-masked]>
Date: Tue, 22 Aug 2006 14:16:47 +0900

Hi, all

I'm takaaki matsuura from Japan.

> was not a unicast routable address.

I consented to your answer, too.

So Now, should I read "CN must NOT send binding error
in the first case" or "two kinds of actions are aceptable
for CN those are sending binding error and dropping packets
silently"?

----
Very truly yours,
Takaakki Matsuura <[email-masked]>
NTT Advanced Technology

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 22 Aug 2006 02:38:07 -0700

> for CN those are sending binding error and dropping packets

CN MUST NOT send a binding error in the first case.

Vijay